Imports System.Web

Namespace SAML
    Partial Public Class Login
        Inherits System.Web.UI.Page

        Protected Sub btnLogin_Click(sender As Object, e As EventArgs)
            Dim samlRequest As String = SamlHelper.CreateAuthRequest("https://cudreg.com", "https://localhost:7009/SAML/PostResponse.aspx")
            Dim redirectUrl As String = "https://sso.satitm.chula.ac.th/adfs/ls?SAMLRequest=" & HttpUtility.UrlEncode(samlRequest)
            Response.Redirect(redirectUrl)
        End Sub
    End Class
End Namespace
